package edu.uoc.android.gfp.utilidades;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Scanner;

import java.util.Calendar;

public class UtilidadesFecha {

    //Variables clase
    public Integer anyoActual;
    public Integer mesActualNumero;
    public String mesActualLetra;

    public String MES[] = {"Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"};
    public Calendar c1 = Calendar.getInstance();


    /*-------------------------------------------------------------------
---------------------------------------------------------------------
-------------OBTENER MES Y AÑO EN CURSO -------- --------------------
---------------------------------------------------------------------
---------------------------------------------------------------------
-------------------------------------------------------------------*/
    public void obtenerMesAnyoActual()
    {
        anyoActual = c1.get(Calendar.YEAR);
        mesActualLetra = MES[c1.get(Calendar.MONTH)];
        mesActualNumero = c1.get(Calendar.MONTH) + 1;
    }


    public static String formatearFecha(String fecha)
    {
        String year;
        String month;
        String day;



            //Formato soportado por la BD LOCAL
            //YYYY-MM-DD
            //Formato pedido al usuario
            //dd/mm/yyyy - despues replace ddmmyyyy
            fecha=fecha.replace("/","");
            year=fecha.substring(4,8);
            month=fecha.substring(2,4);
            day=fecha.substring(0,2);

        return (year + "-" + month+"-" + day);


    }


    public static String formatearFechaInversa(String fecha)
    {
        String year;
        String month;
        String day;



        //Formato soportado por la BD LOCAL
        //YYYY-MM-DD
        //Formato pedido al usuario
        //dd/mm/yyyy - despues replace ddmmyyyy
        fecha=fecha.replace("-","");
        year=fecha.substring(0,4);
        month=fecha.substring(4,6);
        day=fecha.substring(6,8);

        return (day + "/" + month + "/" + year);


    }

    public static boolean validarFecha(String fecha) {
        try {

            SimpleDateFormat  sdf = new SimpleDateFormat("dd/MM/yyyy");
            sdf.setLenient(false);
            sdf.parse(fecha);
        } catch (ParseException e)
        {
            return false;
        }
        return true;
    }


}
