package edu.uoc.android.gfp.vistas.Detalles;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;

import edu.uoc.android.gfp.utilidades.UtilidadesConstantes;
import edu.uoc.android.gfp.vistas.Deseo.FichaDeseo;
import edu.uoc.android.gfp.vistas.Gasto.FichaGasto;
import edu.uoc.android.gfp.vistas.Ingreso.FichaIngreso;
import edu.uoc.android.gfp.vistas.Presupuesto.FichaPresupuesto;


public class DetalleOperacion extends AppCompatActivity {

    public static final String arg_categoria = "arg_categoria";
    public static final String arg_idOperacion = "arg_idOperacion";
    public static final String arg_idUsuario = "arg_idUsuario";

    public String categoria;
    public Integer id_operacion;
    public String idUsuario;

    @Override
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);

        //Obtenemos los parámetros indicados
        //en función de estos obtendremos el detalle del que se trata
        //Para mostrar la información correspondiente

        idUsuario = getIntent().getExtras().getString(arg_idUsuario);
        categoria = getIntent().getExtras().getString(arg_categoria);
        id_operacion = getIntent().getExtras().getInt(arg_idOperacion);


        switch (categoria) {

            case UtilidadesConstantes.TIPO_GASTO:

                if (savedInstanceState == null) {
                    // Create the detail fragment and add it to the activity
                    // using a fragment transaction.
                    Intent intent = new Intent(this, FichaGasto.class);
                    intent.putExtra("arg_idGasto", id_operacion);
                    intent.putExtra("arg_idUsuario", idUsuario);
                    startActivity(intent);
                }

                break;
            case UtilidadesConstantes.TIPO_INGRESO:

                if (savedInstanceState == null) {
                    // Create the detail fragment and add it to the activity
                    // using a fragment transaction.
                    Intent intent = new Intent(this, FichaIngreso.class);
                    intent.putExtra("arg_idIngreso", id_operacion);
                    intent.putExtra("arg_idUsuario", idUsuario);
                    startActivity(intent);
                }

                break;
            case UtilidadesConstantes.TIPO_PRESUPUESTO:
                if (savedInstanceState == null) {
                    // Create the detail fragment and add it to the activity
                    // using a fragment transaction.
                    Intent intent = new Intent(this, FichaPresupuesto.class);
                    intent.putExtra("idPresupuesto", id_operacion);
                    startActivity(intent);
                }
                break;
            case UtilidadesConstantes.TIPO_DESEO:
                if (savedInstanceState == null) {
                    // Create the detail fragment and add it to the activity
                    // using a fragment transaction.
                    Intent intent = new Intent(this, FichaDeseo.class);
                    intent.putExtra("idDeseo", id_operacion);
                    startActivity(intent);
                }
                break;

        }
    }

}
