package edu.uoc.android.gfp.modeloDatos;

import com.orm.SugarRecord;
import com.orm.query.Select;

import java.util.ArrayList;
import java.util.List;

public class T_Periodicidad {




    public static final List<T_Periodicidad.Tipo_Periodicidad> T_PERIODICIDAD = new ArrayList<>();

    //Procedimiento para obtener el total de tipos de periodicidad en la base de datos lcal
    public static List<T_Periodicidad.Tipo_Periodicidad> obtenerTodosPeriodicidad() {

        return T_Periodicidad.Tipo_Periodicidad.listAll(T_Periodicidad.Tipo_Periodicidad.class);

    }

    //Procedimiento para comprobar si Tipo Periodicidad ya existe en la BD local
    public static boolean existe(T_Periodicidad.Tipo_Periodicidad tperiodicidad) {

        List<T_Periodicidad.Tipo_Periodicidad> tperiocidad1 = T_Periodicidad.Tipo_Periodicidad.find(T_Periodicidad.Tipo_Periodicidad.class, "descripcion = ?", tperiodicidad.descripcion);

        if (tperiocidad1 == null || tperiocidad1.size() == 0) {
            return false;
        } else {
            return true;
        }

    }

    //Procedimiento para obtener el último idPeriodicidad
    public static Integer ultimoIdPeriodicidad() {

        List<T_Periodicidad.Tipo_Periodicidad> ultimoPeriodicidad = Select.from(T_Periodicidad.Tipo_Periodicidad.class)
                .orderBy("id_Periodicidad")
                .list();

        if (ultimoPeriodicidad.size() > 0)
            return ultimoPeriodicidad.get(0).getIdPeriodicidad();
        else
            return 0;

    }

    public static class Tipo_Periodicidad  extends SugarRecord {

        public Integer idPeriodicidad;
        public String descripcion;

        public Tipo_Periodicidad() {
            // Default constructor required for calls to DataSnapshot.getValue(User.class)
        }

        public Tipo_Periodicidad(Integer idPeriodicidad, String descripcion) {
            this.idPeriodicidad = idPeriodicidad;
            this.descripcion = descripcion;
        }


        public Integer getIdPeriodicidad() {
            return idPeriodicidad;
        }

        public void setIdPeriodicidad(Integer idPeriodicidad) {
            this.idPeriodicidad = idPeriodicidad;
        }

        public String getdescripcion() {
            return descripcion;
        }

        public void setdescripcion(String descripcion) {
            this.descripcion = descripcion;
        }




        @Override
        public String toString() {

            return "Tipo_Periodicidad {" +
                    "idPeriodicidad='" + idPeriodicidad  +
                    ", descripcion=" + descripcion + '\'' +
                    '}';
        }
    }


}
